#ifndef CLSTUDENTINFO_H
#define CLSTUDENTINFO_H

#include <QWidget>

namespace Ui {
class clStudentInfo;
}

class clStudentInfo : public QWidget
{
    Q_OBJECT
signals:
    void sgnStudentEditPassword();
    void sgnStudentLogout();
public:
    explicit clStudentInfo(QWidget *parent = nullptr);
    ~clStudentInfo();

    void setUI(const int nLeft, const int nTop, const int nWidth, const int nHeight);
private slots:
    void on_btn_clsi_editPassword_clicked();

    void on_btn_clsi_exitLogin_clicked();

private:
    Ui::clStudentInfo *ui;
};

#endif // CLSTUDENTINFO_H
